#ifndef MAYABSP_H
#define MAYABSP_H

class bspTranslator : public MPxFileTranslator
{
public:
	static void    *creator ();

	MStatus         reader ( const MFileObject& file,
			                 const MString& optionsString,
			                 MPxFileTranslator::FileAccessMode mode);
	MStatus         writer ( const MFileObject& file,
		                     const MString& optionsString,
		                     MPxFileTranslator::FileAccessMode mode);
	bool            haveReadMethod () const;
	bool            haveWriteMethod () const;
	MString         defaultExtension () const;
	bool            canBeOpened () const;
	MFileKind       identifyFile ( const MFileObject& fileName,
				                   const char *buffer,
				                   short size) const;

    int             GetGroupTriCount(int shapeIndex, int groupIndex);
    void            GetPolygonsAndVerticesInShape(int shapeIndex, int *numPolys, 
                                                  int *numVerts);
    void            AddShapeToImportWorld(int shapeIndex, RtWorldImport *importWorld);
    void            AddSceneToImportWorld(RtWorldImport *importWorld);
    MStatus         exportbsp( char *fileName );
};

#endif /* MAYABSP_H */